package action.Currency;

public class CurrencyExchange {
  public static void main(String [] args) throws Exception {
    // Make a service
	  CurrencyExchangeService service = new CurrencyExchangeServiceLocator();

    // Now use the service to get a stub which implements the SDI.
	  CurrencyExchangePortType port = service.getCurrencyExchangePort();

    // Make the actual call
    //Address address = new Address(...);
    port.getRate("USD","GBP");
  }
  
  public String getRate(String country1,String country2) {
    // Make a service
	  CurrencyExchangeService service = new CurrencyExchangeServiceLocator();

    // Now use the service to get a stub which implements the SDI.
	  CurrencyExchangePortType port;
    try {
        port = service.getCurrencyExchangePort();
    } catch (Exception ex) {
        return "Error getting port: " + ex.getMessage();
    }

    // Make the actual call
    //Address address = new Address(...);
    try {
        return Float.toString(port.getRate(country1,country2));
    } catch (Exception ex) {
        return "Error making function call: " + ex.getMessage();
    }
  }
}